Description

Running the following in the console:

processing.runalg("qgis:vectorgrid","701457,701849,252365,252962",1,1,1,'/Users/me/gridline.shp')

raises the following OGR log message:

Feature creation error (OGR error: Attempt to write non-polygon (LINESTRING) geometry to POLYGON type shapefile.)

… and an empty (no geometries) shp file is created.

The gui version Vector>Research Tools>Vector Grid… gives the expected and correct result.

The source code for the two are independent of each other, but the latter's (/python/plugins/fTools/tools/doVectorGrid.py) implementation

indicate the problem with the code of the former:

My suggestion (though untested):

/python/plugins/processing/algs/qgis/VectorGrid.py:93

   fields, QGis.WKBPolygon, mapCRS)

should change to:

    fields, QGis.WKBLineString, mapCRS)

Associated revisions

Revision 1714e669 - 2015-07-31 07:02 PM - Giovanni Manghi 

fix Processing QGIS vector grid as lines

fixes #13115

(cherry-picked from 1dfec33)

History

#1 - 2015-07-31 06:48 AM - Giovanni Manghi

- Status changed from Open to Feedback

2025-12-15 1/2



Should be fixed with

https://github.com/qgis/QGIS/pull/2231

thanks!

#2 - 2015-07-31 10:01 AM - Giovanni Manghi

- Status changed from Feedback to Closed

Fixed in changeset commit:"1714e66952956589256de3044c04994da98d7b75".
